Name:           monster
Version:        1.24
Release:        %mkrel 3
Summary:        Classic-style JRPG and prequel to Monster RPG 2
Group:          Games/Adventure
License:        BSD
URL:            https://github.com/Nooskewl/monster

Source0:        %{name}-%{version}.tar.xz
#Source0:        https://github.com/Nooskewl/monster/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         monster-1.24-mga-data-path.patch

BuildRequires:  allegro4-devel
BuildRequires:  fudgefont-devel
BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)

%description
Monster 1 is a classic-style JRPG in the theme of old NES titles of the 80s
and 90s. Like those RPGs, you gain experience and level up through combat,
while talking to characters and advancing in your quest to save your child
from the hands of a monster.

Monster 1 is a "loose prequel" to the Monster RPG 2 game.

%prep
%setup -q
%autopatch -p1
sed -i 's/-llua5.1/-llua/' src/Makefile.unix

%build
%setup_compile_flags
# Build custom GUI library
make -C tgui-0.9 -f Makefile.unix
# Build game engine
%make -C src -f Makefile.unix SHARED=1

%install
install -D -m755 src/monster %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Monster 1
Comment=%{summary}
GenericName=Classic-style JRPG
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;RolePlaying;
EOF

install -D -m644 icon.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -m644 icon512.png %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{name}.png

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sun Mar 12 2017 akien <akien> 1.24-3.mga6
+ Revision: 1092249
- Rebuild against allegro4

* Mon Feb 15 2016 umeabot <umeabot> 1.24-2.mga6
+ Revision: 961494
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 akien <akien> 1.24-1.mga6
+ Revision: 853744
- imported package monster

